<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.6"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>PS2 controller TRX: C:/Users/XW8400/Documents/ps2_ctrl_trx/lib/include/bb_spi.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">PS2 controller TRX
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.6 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('bb__spi_8h_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">bb_spi.h</div></div>
</div><!--header-->
<div class="contents">
<a href="bb__spi_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#ifndef BB_SPI_H</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="preprocessor">#define BB_SPI_H</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span> </div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment">/* bitbang SPI pin configuration */</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span> </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="bb__spi_8h.html#a78babeafebe2b438a7d7efe2d00b93f8">   11</a></span><span class="comment"></span><span class="preprocessor">#define BB_MOSI_PxM1                P0M1</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="bb__spi_8h.html#a9cbfa81f9ab2ef85ac57d143d339d54b">   18</a></span><span class="comment"></span><span class="preprocessor">#define BB_MOSI_PxM2                P0M2</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="bb__spi_8h.html#a8e42694f35fc626afb85da93ff790147">   25</a></span><span class="comment"></span><span class="preprocessor">#define BB_MOSI_Px                  P0</span></div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span> </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="bb__spi_8h.html#ade4402999e632e4e1dde6c6eae129aee">   32</a></span><span class="comment"></span><span class="preprocessor">#define BB_MOSI_PIN                 3</span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span> </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="bb__spi_8h.html#aafd04d2a886bae80f495e3025daba261">   39</a></span><span class="comment"></span><span class="preprocessor">#define BB_MISO_PxM1                P1M1</span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span> </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="bb__spi_8h.html#a971af60207de56c2cb2c73d1572091c6">   46</a></span><span class="comment"></span><span class="preprocessor">#define BB_MISO_PxM2                P1M2</span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span> </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno"><a class="line" href="bb__spi_8h.html#a4452378a67f4c9a06dc3a288eaa9edee">   53</a></span><span class="comment"></span><span class="preprocessor">#define BB_MISO_Px                  P1</span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span> </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno"><a class="line" href="bb__spi_8h.html#ae74f28006d9b725541bbce08b0f15591">   60</a></span><span class="comment"></span><span class="preprocessor">#define BB_MISO_PIN                 5</span></div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span> </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno"><a class="line" href="bb__spi_8h.html#a1d3db48b6bf5b48f39fb7775bc3d0e09">   67</a></span><span class="comment"></span><span class="preprocessor">#define BB_SCK_PxM1                 P0M1</span></div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span> </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno"><a class="line" href="bb__spi_8h.html#a791dfa6e033536379b950d8285bb53ba">   74</a></span><span class="comment"></span><span class="preprocessor">#define BB_SCK_PxM2                 P0M2</span></div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span> </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno"><a class="line" href="bb__spi_8h.html#a8c82f817ed3da992029e82107c65df56">   81</a></span><span class="comment"></span><span class="preprocessor">#define BB_SCK_Px                       P0</span></div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span> </div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno"><a class="line" href="bb__spi_8h.html#acfcce186e4b7839f784ceb982c95f511">   88</a></span><span class="comment"></span><span class="preprocessor">#define BB_SCK_PIN                  5</span></div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span> </div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span><span class="keywordtype">unsigned</span> <span class="keywordtype">char</span> <a class="code hl_function" href="bb__spi_8h.html#add9c161dbfec7e8d4e9f09b53b0bef1d">bb_spi_transfer</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">char</span> dat);</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span><span class="keywordtype">void</span> <a class="code hl_function" href="bb__spi_8h.html#a5f474c1af6c0c4412a5c55714dcdf981">bb_spi_init</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span> </div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span><span class="preprocessor">#endif</span></div>
<div class="ttc" id="abb__spi_8h_html_a5f474c1af6c0c4412a5c55714dcdf981"><div class="ttname"><a href="bb__spi_8h.html#a5f474c1af6c0c4412a5c55714dcdf981">bb_spi_init</a></div><div class="ttdeci">void bb_spi_init(void)</div><div class="ttdoc">Initialize SPI bitbang using pins defined in bb_spi.h.</div><div class="ttdef"><b>Definition:</b> bb_spi.c:64</div></div>
<div class="ttc" id="abb__spi_8h_html_add9c161dbfec7e8d4e9f09b53b0bef1d"><div class="ttname"><a href="bb__spi_8h.html#add9c161dbfec7e8d4e9f09b53b0bef1d">bb_spi_transfer</a></div><div class="ttdeci">unsigned char bb_spi_transfer(unsigned char dat)</div><div class="ttdoc">Mode 0 bitbang SPI transfer.</div><div class="ttdef"><b>Definition:</b> bb_spi.c:33</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_b116ddd94a245d490f1483cfe96d55a6.html">ps2_ctrl_trx</a></li><li class="navelem"><a class="el" href="dir_1a84bb234c89b52eac6ccacceb8c95a3.html">lib</a></li><li class="navelem"><a class="el" href="dir_fa75ccbeaa2e37b9dd3999ea62d2e5d8.html">include</a></li><li class="navelem"><a class="el" href="bb__spi_8h.html">bb_spi.h</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.6 </li>
  </ul>
</div>
</body>
</html>
